Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005053 [JEDI VCL] 00 JVCL Components tweak always 2009-12-12 00:45 2011-09-21 14:10
Reporter vac View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005053: JvDBUltimGrid Search with no focus not working
Description I have JvDBUltimGrid and EditBox - Delphi 2006.
OnChange of editbox i do:
JvDBUltimGrid1.Search(Edit1.Text, ResutCol, ResultField, false, false, false)
and it does not select row which i want it to select.
but when i use:
JvDBUltimGrid1.Search(Edit1.Text, resultcol, ResultField, false, false, true)
it does select correct row, but unfortunately every time i put new char i have to come back with focus to my editbox - because Search function, each time, changing focus to the grid.
Additional Information i think problem is in Search function of jvdbultiumgrid grid,
in fragment:

 if Result and Focus then
 begin
  Self.Col := ResultCol;
  if Self.Visible and Self.CanFocus then
   Self.SetFocus;
 end
 else
  RestoreGridPosition;

so when there is no focus grid is _always_ restoring its position (even if record was found).

when i change it to:

 if Result and Focus then
 begin
  Self.Col := ResultCol;
  if Self.Visible and Self.CanFocus then
   Self.SetFocus;
 end;
 if not Result then
  RestoreGridPosition;

its started to working fine for me.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018234)
AHUser (developer)
2010-11-30 21:50

Fixed in svn revision 12946.

- Issue History
Date Modified Username Field Change
2009-12-12 00:45 vac New Issue
2009-12-18 12:05 obones Status new => acknowledged
2009-12-18 12:05 obones Target Version => 3.40 - not yet released
2010-11-30 21:50 AHUser Note Added: 0018234
2010-11-30 21:50 AHUser Status acknowledged => resolved
2010-11-30 21:50 AHUser Fixed in Version => Daily / SVN
2010-11-30 21:50 AHUser Resolution open => fixed
2010-11-30 21:50 AHUser Assigned To => AHUser
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker